# Button basics

Home Search

## Button basics

- Basics
- Options
- Methods
- Events

Bind events directly to the `a`, `input`, or `button` element. Use jQuery Mobile's virtual events, or bind standard JavaScript events, like change, focus, blur, etc.:

    $( ".myButton" ).bind( "click", function(event, ui) {
      ...
    });

The form button plugin has the following custom events:

`create` triggered when a form button is created

      $('[type="submit"]').button({
         create: function(event, ui) { ... }
      });

### More in this section

- Buttons
- Button basics
- Button icons
- Inline buttons
- Grouped buttons
- Theming buttons